Horizon Zero Dawn Complete Edition Message Board  STATUS: ACTIVE - Trainers are still being considered and updated for this title as patches are released. There is no guarantee that a trainer can be made or updated but it will be reviewed by our staff.

Our Horizon Zero Dawn Complete Edition Trainer is now available for version 1.10 HF2 and supports STEAM, EPIC STORE, GOG. Our Horizon Zero Dawn Complete Edition message board is available to provide feedback on our trainers or cheats.
Horizon Zero Dawn Complete Edition Trainer
REQUEST MORE OPTIONS
0 option(s) for voting
FILE UPDATE REQUEST
0 report(s) filed
BOOST UPDATE PRIORITY
Boost currently not available
Message Board for PC version
Page 1 of 1
Signup or Login to Post
  Is trainer ver 1.08 for patch 1.09?
  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to JerseySeven
    ELITE
    JerseySeven posted on Dec 08, 2020 4:30:39 PM - Report post
     
    store.steampowered.com/newshub/app/1151640/view/2914355656287078302



    Reason I ask: you updated the trainer today but it says its for game version 1.08.

    [Edited by JerseySeven, 12/8/2020 4:46:39 PM]
  • Lead Moderator
    Send a message to CyPHeR369
    LEAD MODERATOR
    CyPHeR369 posted on Dec 08, 2020 7:37:37 PM - Report post
     
    If it works then yes, if it doesn't, then probably not. Try it let us know.
    "Light travels faster than sound. This is why some people appear bright until you hear them speak."
  • Founder
    Send a message to PWizard
    FOUNDER
    PWizard posted on Dec 08, 2020 8:53:01 PM - Report post
     
    quote:
    originally posted by JerseySeven

    store.steampowered.com/newshub/app/1151640/view/2914355656287078302



    Reason I ask: you updated the trainer today but it says its for game version 1.08.

    [Edited by JerseySeven, 12/8/2020 4:46:39 PM]

    The trainer today was to add support for GOG for v1.08. No mention of 1.09 by the trainer maker.

    Chris O'Rorke (chris@cheathappens.com)
    Co-Founder: Cheat Happens.com
  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to knuta
    ELITE
    knuta posted on Dec 09, 2020 1:47:34 AM - Report post
     
    I used the one meant for 1.08 for several hours yesterday with 1.09, and I had no problems at all with any of the options I used 😊
  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to JerseySeven
    ELITE
    JerseySeven posted on Dec 09, 2020 7:53:53 PM - Report post
     
    Great to know, knuta. Thank you for posting!
  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to GrizzlyUK
    ELITE
    GrizzlyUK posted on Dec 10, 2020 11:14:51 AM - Report post
     
    quote:
    originally posted by knuta

    I used the one meant for 1.08 for several hours yesterday with 1.09, and I had no problems at all with any of the options I used 😊

    Don't know if it matters much but I can confirm that I'm using the v1.08 trainer (the original one that was released last month) and it's working just fine under game patch v1.09, played about 18 hours so far under game v1.09 using the v1.08 trainer and I haven't had any issues with any of the trainer options I've used.

    I'd expect the "updated" v1.08 trainer (that adds GOG support) would also work fine with game v1.09.

Page 1 of 1
Signup or Login to Post
All times are (GMT -06:00) Central Time (US & Canada). Current time is 4:34:28 PM